%define softname pyogg
%define name python-pyogg
%define version 1.3
%define release %mkrel 19

Summary: A wrapper for the Ogg libraries
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ekyo.nerim.net/software/%{softname}/%{softname}-%{version}.tar.bz2
License: LGPL
Group: Development/Python
BuildRequires: libogg-devel
BuildRequires: libpython-devel
Provides: pyogg
Obsoletes: pyogg
Url: http://ekyo.nerim.net/software/pyogg/

%description
pyogg is a Python wrapper for the Ogg libraries.

There's not a whole lot you can do with this module by itself. You'll
probably also want the ogg.vorbis module, which can be found wherever
you got this.

You can now write Python programs to encode and decode Ogg Vorbis
files (encoding is quite a bit more involved). The module is
self-documenting, though I need to update quite a bit of it.

%prep
%setup -q -n %{softname}-%{version}

%build
python config_unix.py
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README AUTHORS ChangeLog NEWS
%dir %{_includedir}/python?.?/pyogg/
%{_includedir}/python?.?/pyogg/pyogg.h
%py_platsitedir/*






%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.3-19.mga4
+ Revision: 544124
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3-18.mga4
+ Revision: 499251
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 15 2013 grenoya <grenoya> 1.3-17.mga4
+ Revision: 480132
- fix prep section due to package name change
- fix 'Name' field
- update website informations
- add provide and obsolet for pyogg
- renaming 'pyogg' into 'python-pyogg' to fit the policy

* Sun Jan 13 2013 umeabot <umeabot> 1.3-15.mga3
+ Revision: 378418
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 13 2011 grenoya <grenoya> 1.3-14.mga1
+ Revision: 70686
- imported package pyogg

